Bullet Collision Detection & Physics Library: btCollisionPairCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btCollisionPairCallback Class Reference

interface for iterating all overlapping collision pairs, no matter how those pairs are stored (array, set, map etc) this is useful for the collision dispatcher. More...

Inheritance diagram for btCollisionPairCallback:
[legend]
Collaboration diagram for btCollisionPairCallback:
[legend]

## Public Member Functions
| btCollisionPairCallback (const btDispatcherInfo &dispatchInfo, btCollisionDispatcher *dispatcher)
virtual | ~btCollisionPairCallback ()
virtual bool | processOverlap (btBroadphasePair &pair)
Public Member Functions inherited from btOverlapCallback
virtual | ~btOverlapCallback ()

## Private Attributes
const btDispatcherInfo & | m_dispatchInfo
btCollisionDispatcher * | m_dispatcher

## Detailed Description

interface for iterating all overlapping collision pairs, no matter how those pairs are stored (array, set, map etc) this is useful for the collision dispatcher.

Definition at line 203 of file btCollisionDispatcher.cpp.

## Constructor & Destructor Documentation

btCollisionPairCallback::btCollisionPairCallback | ( | const btDispatcherInfo & | dispatchInfo,
|  | btCollisionDispatcher * | dispatcher
| ) |  |
| inline

Definition at line 210 of file btCollisionDispatcher.cpp.

virtual btCollisionPairCallback::~btCollisionPairCallback | ( |  | ) |
| inlinevirtual

Definition at line 225 of file btCollisionDispatcher.cpp.

## Member Function Documentation

virtual bool btCollisionPairCallback::processOverlap | ( | btBroadphasePair & | pair | ) |
| inlinevirtual

Implements btOverlapCallback.

Definition at line 228 of file btCollisionDispatcher.cpp.

## Member Data Documentation

btCollisionDispatcher* btCollisionPairCallback::m_dispatcher
| private

Definition at line 206 of file btCollisionDispatcher.cpp.

const btDispatcherInfo& btCollisionPairCallback::m_dispatchInfo
| private

Definition at line 205 of file btCollisionDispatcher.cpp.

The documentation for this class was generated from the following file:

- btCollisionDispatcher.cpp